export type UnitType =
  | "Studio"
  | "One‑bedroom"
  | "Office spaces"
  | "Healthcare service"
  | "F&B spots"
  | "F&B units"
  | "F&B unit"
  | "F&B spaces"
  | "Retail shops"
  | "Restaurant"
  | "401 m² retail anchor"
  | "F&B outlets"
  | "Cafés and restaurants";

export const blocksStats = [
  new Map<UnitType, number>([
    ["Studio", 8],
    ["One‑bedroom", 14],
    ["F&B spots", 5],
    ["Retail shops", 9],
  ]),
  new Map<UnitType, number>([
    ["Studio", 10],
    ["One‑bedroom", 14],
    ["F&B units", 12],
    ["Retail shops", 11],
  ]),
  new Map<UnitType, number>([
    ["Office spaces", 8],
    ["F&B spots", 6],
  ]),
  new Map<UnitType, number>([
    ["Office spaces", 12],
    ["F&B spots", 11],
    ["Retail shops", 2],
  ]),
  new Map<UnitType, number>([
    ["Office spaces", 6],
    ["F&B spots", 6],
  ]),
  new Map<UnitType, number>([
    ["F&B units", 13],
    ["Retail shops", 9],
  ]),
  new Map<UnitType, number>([
    ["Healthcare service", 1],
    ["F&B spaces", 3],
    ["Restaurant", 1],
  ]),
  new Map<UnitType, number>([
    ["F&B unit", 1],
    ["Retail shops", 22],
  ]),
  new Map<UnitType, number>([
    ["Office spaces", 12],
    ["F&B spots", 4],
    ["Retail shops", 4],
    ["401 m² retail anchor", 1],
  ]),
  new Map<UnitType, number>([
    ["Office spaces", 12],
    ["F&B spaces", 10],
  ]),
  new Map<UnitType, number>([
    ["Cafés and restaurants", 7],
    ["Retail shops", 2],
  ]),
  new Map<UnitType, number>([
    ["Studio", 8],
    ["One‑bedroom", 9],
    ["F&B outlets", 2],
    ["Retail shops", 9],
  ]),
  new Map<UnitType, number>([
    ["Studio", 5],
    ["One‑bedroom", 8],
    ["Retail shops", 9],
  ]),
  new Map<UnitType, number>([
    ["Studio", 6],
    ["One‑bedroom", 9],
    ["F&B spots", 6],
    ["Retail shops", 7],
  ]),
  new Map<UnitType, number>([
    ["Studio", 6],
    ["One‑bedroom", 9],
    ["Restaurant", 3],
    ["Retail shops", 10],
  ]),
  new Map<UnitType, number>([
    ["Studio", 4],
    ["One‑bedroom", 7],
    ["Retail shops", 5],
  ]),
];
